﻿//
// Copyright (c) 2010, MindFusion LLC - Bulgaria.
//

using System;
using System.Globalization;
using System.Xml.Linq;


namespace MindFusion.Reporting.Silverlight.Samples.CS.DateAggregation
{
	public static class Extensions
	{
		public static string XString(this XElement element, string field)
		{
			var value = element.Element(field);
			if (value == null)
				return null;

			return value.Value;
		}

		public static double XDouble(this XElement element, string field)
		{
			var value = XString(element, field);
			if (value == null)
				return 0;

			return double.Parse(value, InvariantCulture);
		}

		public static int XInt(this XElement element, string field)
		{
			var value = XString(element, field);
			if (value == null)
				return 0;

			return int.Parse(value, InvariantCulture);
		}

		public static DateTime XDate(this XElement element, string field)
		{
			var value = XString(element, field);
			if (value == null)
				return DateTime.MinValue;

			var x = DateTime.Parse(value, InvariantCulture, DateTimeStyles.AssumeUniversal).ToLocalTime();

			var s = x.ToString("dd-MMM-yy", InvariantCulture);

			return x;
		}

		private static readonly CultureInfo InvariantCulture = CultureInfo.InvariantCulture;
	}
}
