﻿//
// Copyright (c) 2010, MindFusion LLC - Bulgaria.
//

using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;
using System.Xml.Linq;


namespace MindFusion.Reporting.Silverlight.Samples.CS.DateAggregation
{
	public partial class MainPage : UserControl
	{
		public class Appointment
		{
			public string Name
			{
				get;
				set;
			}

			public DateTime Start
			{
				get;
				set;
			}

			public DateTime End
			{
				get;
				set;
			}

			public int Value
			{
				get;
				set;
			}
		}

		public MainPage()
		{
			InitializeComponent();

			var appointments = new Appointment[]
			{
				new Appointment() { Name = "test 1", Start = new DateTime(2010, 8, 30), End = new DateTime(2010, 9, 1), Value = 15, },
				new Appointment() { Name = "test 2", Start = new DateTime(2010, 8, 24), End = new DateTime(2010, 9, 2), Value = 20, },
				new Appointment() { Name = "test 3", Start = new DateTime(2010, 7, 30), End = new DateTime(2010, 9, 3), Value = 8, },
			};

			var report = Report.FromDictionary(new Uri("DateAggregation;component/MyReport.xaml", UriKind.Relative), "myReport");
			report.DataContext = appointments;
			report.Run();

			reportViewer.Document = report;
		}
	}
}
